# salt.states.sysctl

## Configuration of the kernel using sysctl

Control the kernel sysctl system.

    vm.swappiness:
      sysctl.present:
        - value: 20

salt.states.sysctl.present(name, value, config=None)

  Ensure that the named sysctl value is set in memory and persisted to the named configuration file. The default sysctl configuration file is /etc/sysctl.conf

  name

    The name of the sysctl value to edit

  value

    The sysctl value to apply. Make sure to set the value to the correct expected output for systctl or reading the respective /proc/sys file. For example, instead of adding the value 1,2,3 you might need to write 1-3. If you do not set the correct value, Salt will continue to return with changes.

  config

    The location of the sysctl configuration file. If not specified, the proper location will be detected based on platform.